TV Credits
curl --request GET \
--url https://api.themoviedb.org/3/person/{person_id}/tv_credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/person/{person_id}/tv_credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/person/{person_id}/tv_credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/person/{person_id}/tv_credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/person/{person_id}/tv_credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/person/{person_id}/tv_credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/person/{person_id}/tv_credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cast": [],
"crew": [
{
"adult": false,
"backdrop_path": "/om4aZWQq1i0szWFgfUR5mqkBDl7.jpg",
"genre_ids": [
10759,
80,
10765
],
"id": 67684,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Incorporated",
"overview": "Set in a near future where corporations have unlimited power, a young executive conceals his true identity to infiltrate a dangerous corporate world to save the woman he loves.",
"popularity": 39.504,
"poster_path": "/kdjLwa2EVxcH3xyiXSyMbyHalnL.jpg",
"first_air_date": "2016-11-30",
"name": "Incorporated",
"vote_average": 6.241,
"vote_count": 135,
"credit_id": "57cb8a80c3a36806080080a0",
"department": "Production",
"episode_count": 10,
"job": "Executive Producer"
},
{
"adult": false,
"backdrop_path": "/yFa7wVytud4D7BDp5e5yk8mLwpK.jpg",
"genre_ids": [
80,
18
],
"id": 79618,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "City on a Hill",
"overview": "In early 90s Boston, an African-American District Attorney comes in from Brooklyn advocating change and forms an unlikely alliance with a corrupt yet venerated FBI veteran invested in maintaining the status quo. Together they take on a family of armored car robbers from Charlestown in a case that grows to encompass and eventually upend Boston’s city-wide criminal justice system.",
"popularity": 53.739,
"poster_path": "/rxa00ipClA8SUQxTdZQOyt2NlB8.jpg",
"first_air_date": "2019-06-16",
"name": "City on a Hill",
"vote_average": 7.4,
"vote_count": 155,
"credit_id": "5afdf2610e0a26248a0008d8",
"department": "Production",
"episode_count": 10,
"job": "Executive Producer"
},
{
"adult": false,
"backdrop_path": "/eKzH2rkPEzPFd8gFH1ds8YzAIx6.jpg",
"genre_ids": [
18
],
"id": 200908,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "We Were the Lucky Ones",
"overview": "The true story of one Jewish family separated at the start of World War II, determined to survive—and to reunite.",
"popularity": 28.59,
"poster_path": "/rRv6Lji53tXnP1h6UGYDQVx4FGg.jpg",
"first_air_date": "2024-03-28",
"name": "We Were the Lucky Ones",
"vote_average": 7.508,
"vote_count": 60,
"credit_id": "626c98ade3fa2f0a1fde466e",
"department": "Production",
"episode_count": 8,
"job": "Executive Producer"
},
{
"adult": false,
"backdrop_path": "/6VO8JN3IuIPuqGXsrFj6GYmiFpy.jpg",
"genre_ids": [
35
],
"id": 218268,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Up Here",
"overview": "Set in New York City in 1999, Lindsay and Miguel fall in love and discover that the single greatest obstacle to finding happiness together might just be themselves — and the memories, obsessions, fears, and fantasies that lives inside their heads.",
"popularity": 10.24,
"poster_path": "/tcjKq7l6XDd7KYwxOVKm5nWwlUV.jpg",
"first_air_date": "2023-03-24",
"name": "Up Here",
"vote_average": 6.417,
"vote_count": 24,
"credit_id": "63feaf4ac7176d008516afd5",
"department": "Production",
"episode_count": 8,
"job": "Executive Producer"
}
],
"id": 550
}PEOPLE
TV Credits
This endpoint is used to get the movie credits for a person.
GET
/
person
/
{person_id}
/
tv_credits
TV Credits
curl --request GET \
--url https://api.themoviedb.org/3/person/{person_id}/tv_credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/person/{person_id}/tv_credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/person/{person_id}/tv_credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/person/{person_id}/tv_credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/person/{person_id}/tv_credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/person/{person_id}/tv_credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/person/{person_id}/tv_credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cast": [],
"crew": [
{
"adult": false,
"backdrop_path": "/om4aZWQq1i0szWFgfUR5mqkBDl7.jpg",
"genre_ids": [
10759,
80,
10765
],
"id": 67684,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Incorporated",
"overview": "Set in a near future where corporations have unlimited power, a young executive conceals his true identity to infiltrate a dangerous corporate world to save the woman he loves.",
"popularity": 39.504,
"poster_path": "/kdjLwa2EVxcH3xyiXSyMbyHalnL.jpg",
"first_air_date": "2016-11-30",
"name": "Incorporated",
"vote_average": 6.241,
"vote_count": 135,
"credit_id": "57cb8a80c3a36806080080a0",
"department": "Production",
"episode_count": 10,
"job": "Executive Producer"
},
{
"adult": false,
"backdrop_path": "/yFa7wVytud4D7BDp5e5yk8mLwpK.jpg",
"genre_ids": [
80,
18
],
"id": 79618,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "City on a Hill",
"overview": "In early 90s Boston, an African-American District Attorney comes in from Brooklyn advocating change and forms an unlikely alliance with a corrupt yet venerated FBI veteran invested in maintaining the status quo. Together they take on a family of armored car robbers from Charlestown in a case that grows to encompass and eventually upend Boston’s city-wide criminal justice system.",
"popularity": 53.739,
"poster_path": "/rxa00ipClA8SUQxTdZQOyt2NlB8.jpg",
"first_air_date": "2019-06-16",
"name": "City on a Hill",
"vote_average": 7.4,
"vote_count": 155,
"credit_id": "5afdf2610e0a26248a0008d8",
"department": "Production",
"episode_count": 10,
"job": "Executive Producer"
},
{
"adult": false,
"backdrop_path": "/eKzH2rkPEzPFd8gFH1ds8YzAIx6.jpg",
"genre_ids": [
18
],
"id": 200908,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "We Were the Lucky Ones",
"overview": "The true story of one Jewish family separated at the start of World War II, determined to survive—and to reunite.",
"popularity": 28.59,
"poster_path": "/rRv6Lji53tXnP1h6UGYDQVx4FGg.jpg",
"first_air_date": "2024-03-28",
"name": "We Were the Lucky Ones",
"vote_average": 7.508,
"vote_count": 60,
"credit_id": "626c98ade3fa2f0a1fde466e",
"department": "Production",
"episode_count": 8,
"job": "Executive Producer"
},
{
"adult": false,
"backdrop_path": "/6VO8JN3IuIPuqGXsrFj6GYmiFpy.jpg",
"genre_ids": [
35
],
"id": 218268,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Up Here",
"overview": "Set in New York City in 1999, Lindsay and Miguel fall in love and discover that the single greatest obstacle to finding happiness together might just be themselves — and the memories, obsessions, fears, and fantasies that lives inside their heads.",
"popularity": 10.24,
"poster_path": "/tcjKq7l6XDd7KYwxOVKm5nWwlUV.jpg",
"first_air_date": "2023-03-24",
"name": "Up Here",
"vote_average": 6.417,
"vote_count": 24,
"credit_id": "63feaf4ac7176d008516afd5",
"department": "Production",
"episode_count": 8,
"job": "Executive Producer"
}
],
"id": 550
}